package com.ym.mec.biz.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ym.mec.biz.dal.dto.ImLiveBroadcastRoomDto;
import com.ym.mec.biz.dal.entity.ImLiveBroadcastRoom;
import com.ym.mec.biz.dal.vo.ImLiveBroadcastRoomVo;
import com.ym.mec.biz.dal.vo.RoomUserInfoVo;
import com.ym.mec.common.entity.ImUserState;
import com.ym.mec.common.page.PageInfo;

import java.util.List;
import java.util.Map;

/**
 * 直播房间管理表(ImLiveBroadcastRoom)表服务接口
 *
 * @author hgw
 * @since 2022-02-17 20:52:05
 */
public interface ImLiveBroadcastRoomService extends IService<ImLiveBroadcastRoom> {

    PageInfo<ImLiveBroadcastRoomVo> queryPage(Map<String, Object> param);

    ImLiveBroadcastRoomVo queryRoomAndCheck(String roomUid, Integer userId);

    ImLiveBroadcastRoomVo queryRoomInfo(String roomUid);

    void add(ImLiveBroadcastRoomDto dto);

    void update(ImLiveBroadcastRoomDto dto);

    void whetherChat(Integer id, Integer whetherChat);

    void roomDestroy(Integer id);

    void delete(Integer id);

    void destroyExpiredLiveRoom();

    void syncLike(String roomUid, Integer likeNum);

    void opsRoom(List<ImUserState> userState);

    ImLiveBroadcastRoomVo speakerJoinRoom(String roomUid);

    void joinRoom(String roomUid, Integer userId);

    void startLive(String roomUid,Integer userId);

    void closeLive(String roomUid,Integer userId);

    void createLiveRoom();

    Map<String, Object> test(String roomUid, Integer userId);

    /**
    * @description: 分享直播链接
     * @param roomUid
    * @return void
    * @author zx
    * @date 2022/2/23 16:17
    */
    void shareGroup(String roomUid,String groupIds);

    List<RoomUserInfoVo> queryRoomUserInfo(String roomUid);
}

