package com.ym.mec.biz.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ym.mec.biz.dal.dao.ImLiveRoomVideoDao;
import com.ym.mec.biz.dal.entity.ImLiveRoomVideo;
import com.ym.mec.biz.service.ImLiveRoomVideoService;
import com.ym.mec.common.page.PageInfo;
import com.ym.mec.common.page.PageUtil;
import com.ym.mec.common.page.WrapperUtil;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 直播视频记录(ImLiveRoomVideo)表服务实现类
 *
 * @author hgw
 * @since 2022-03-07 19:06:55
 */
@Service("imLiveRoomVideoService")
public class ImLiveRoomVideoServiceImpl extends ServiceImpl<ImLiveRoomVideoDao, ImLiveRoomVideo> implements ImLiveRoomVideoService {

    private final static Logger log = LoggerFactory.getLogger(ImLiveRoomVideoServiceImpl.class);

    @Override
    public ImLiveRoomVideoDao getDao() {
        return this.baseMapper;
    }

    public List<ImLiveRoomVideo> queryList(String roomUid) {
        return baseMapper.selectList(new WrapperUtil<ImLiveRoomVideo>()
                .hasEq("room_uid_",roomUid)
                .hasEq("type",2).queryWrapper()
        );
    }


}

